/*************************************************************************
 *                                                                          
 * dnewplugin.cpp  -  description
 *
 * Copyright (C) 2002  J C Gonzalez
 * jcgonzalez@rt.nl
 *
 *------------------------------------------------------------------------
 *
 * Copyright (C) 2001 J C Gonzalez
 *  
 * This program is free software;  you can redistribute it and/or  modify
 * it under the terms  of the GNU General  Public License as published by
 * the Free Software Foundation; either version  2 of the License, or (at
 * your option) any later version.
 * 
 * This piece of code is distributed in the hope  that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of FITNESS
 * FOR A PARTICULAR PURPOSE.
 * 
 * In no  event shall his author  be liable for  any special, incidental,
 * indirect  or  consequential  damages  of any  kind,   or  any  damages
 * whatsoever resulting from loss of use, data or profits, whether or not
 * advised of the possibility of damage, and on  any theory of liability,
 * arising out  of or in connection  with the use  or performance of this
 * software. You've been warned.
 * 
 ************************************************************************/


#include "dnewplugin.h"
#include <qmessagebox.h>
#include <qlineedit.h>
#include <qmultilineedit.h>
#include "resource.h"

dNewPlugin::dNewPlugin(QWidget *parent, const char *name, bool modal )
  : dlgNewPlugin(parent,name,modal)
{
}

dNewPlugin::~dNewPlugin()
{
}

void dNewPlugin::slotShowHelp()
{
  QMessageBox::information(this, "Help - Create New Plug-in",
                                 HELP_CREATEPLUGIN);
}

QString dNewPlugin::get_name()
{
  return editName->text();
}

QString dNewPlugin::get_definition()
{
  QString d;
  int n = meditDefinition->numLines();
  for (int i=0; i<n; i++) {
    d += "    " + meditDefinition->textLine(i);
  }
  return d;
}
