/*************************************************************************
 *                                                                          
 * model.cpp  -  description
 *
 * Copyright (C) 2002  J C Gonzalez
 * jcgonzalez@rt.nl
 *
 *------------------------------------------------------------------------
 *
 * Copyright (C) 2001 J C Gonzalez
 *  
 * This program is free software;  you can redistribute it and/or  modify
 * it under the terms  of the GNU General  Public License as published by
 * the Free Software Foundation; either version  2 of the License, or (at
 * your option) any later version.
 * 
 * This piece of code is distributed in the hope  that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of FITNESS
 * FOR A PARTICULAR PURPOSE.
 * 
 * In no  event shall his author  be liable for  any special, incidental,
 * indirect  or  consequential  damages  of any  kind,   or  any  damages
 * whatsoever resulting from loss of use, data or profits, whether or not
 * advised of the possibility of damage, and on  any theory of liability,
 * arising out  of or in connection  with the use  or performance of this
 * software. You've been warned.
 * 
 ************************************************************************/


#include "model.h"

Model::Model(int model=MODEL_X_Y, int nFuncX=0, int nFuncY=0) :
  theModel(model), nFx(nFuncX), nFy(nFuncY)
{}

Model::~Model()
{}

/** Read property of int theModel. */
const int& Model::getModel(){
	return theModel;
}

/** Write property of int theModel. */
void Model::setModel( const int& _newVal){
	theModel = _newVal;
}

/** Read property of int nFx. */
const int& Model::getFx(){
	return nFx;
}

/** Write property of int nFx. */
void Model::setFx( const int& _newVal){
	nFx = _newVal;
}

/** Read property of int nFy. */
const int& Model::getFy(){
	return nFy;
}

/** Write property of int nFy. */
void Model::setFy( const int& _newVal){
	nFy = _newVal;
}
