#! /bin/sh

plg=$1

plgcpp=$plg.cpp
plgpro=$plg.pro

if [ ! -f $plgcpp ]; then
  echo Plugin source file $plgcpp was not found.
  exit 1
fi

if [ -f $plgpro ]; then
  echo Moving old project file $plgpro to $plgpro.old
  mv $plgpro $plgpro.old
fi

echo Generating project file . . .

cat <<END>$plgpro
TEMPLATE	= app
CONFIG		= qt dll warn_on release
HEADERS		= plugin.h default_plugins.h
SOURCES		= $plgcpp
LIBS		= -lm
END


      
